Sets users for an absence region.

PUThttps://api.awork.com/api/v1/absenceregions/users/assignDeprecated
PUT https://api.awork.com/api/v1/absenceregions/users/assign

Sets the users assigned to an absence region. A user can belong to only one region, so assigning a user here removes any previous assignment. An empty user list removes all assignments. This endpoint is deprecated; use the POST endpoint instead.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Request body Required

The model to assign or unassign users to/from an absence region.

application/json

userIdsarray of stringRequired

The list of userIds to assign to that region. Providing an empty list of user ids will remove all users from the absence region.

regionIdstringRequired
format: uuid

The id of the region to assign the users to.

Responses

204 No Content
400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation